LineContains (Apache Ant API)
Keywords: org.apache.tools.ant.filters.LineContains class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.filters
Class LineContains

    java.lang.Object
      java.io.Reader
          java.io.FilterReader
              org.apache.tools.ant.filters.BaseFilterReader
                  org.apache.tools.ant.filters.BaseParamFilterReader
                      org.apache.tools.ant.filters.LineContains

All Implemented Interfaces:
  java.io.Closeable, java.lang.Readable, ChainableReader, Parameterizable

    public final class LineContains

extends BaseParamFilterReader
implements ChainableReader

Filter which includes only those lines that contain all the user-specified strings. Example:

    <linecontains>
       <contains value="foo">
       <contains value="bar">
     </linecontains>

Or:

    <filterreader classname="org.apache.tools.ant.filters.LineContains">
        <param type="contains" value="foo"/>
        <param type="contains" value="bar"/>
     </filterreader>

This will include only those lines that contain `foo` and `bar`.

Nested Class Summary
`static class` | `LineContains.Contains` Holds a contains element

Field Summary

Fields inherited from class java.io.FilterReader
`in`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`LineContains()` Constructor for "dummy" instances.
`LineContains(java.io.Reader in)` Creates a new filtered reader.

Method Summary
`void` | `addConfiguredContains(LineContains.Contains contains)` Adds a `contains` element.
`java.io.Reader` | `chain(java.io.Reader rdr)` Creates a new LineContains using the passed in Reader for instantiation.
`boolean` | `isNegated()` Find out whether we have been negated.
`int` | `read()` Returns the next character in the filtered stream, only including lines from the original stream which contain all of the specified words.
`void` | `setNegate(boolean b)` Set the negation mode.

Methods inherited from class org.apache.tools.ant.filters.BaseParamFilterReader
`getParameters, setParameters`

Methods inherited from class org.apache.tools.ant.filters.BaseFilterReader
`getInitialized, getProject, read, readFully, readLine, setInitialized, setProject, skip`

Methods inherited from class java.io.FilterReader
`close, mark, markSupported, ready, reset`

Methods inherited from class java.io.Reader
`read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineContains

    public LineContains()

  Constructor for "dummy" instances.

  See Also:
    `BaseFilterReader.BaseFilterReader()`

### LineContains

    public LineContains(java.io.Reader in)

  Creates a new filtered reader.

  Parameters:
    `in` - A Reader object providing the underlying stream. Must not be `null`.

Method Detail

### read

    public int read()
             throws java.io.IOException

  Returns the next character in the filtered stream, only including lines from the original stream which contain all of the specified words.

  Overrides:
    `read` in class `java.io.FilterReader`
  Returns:
    the next character in the resulting stream, or -1 if the end of the resulting stream has been reached
  Throws:
    `java.io.IOException` - if the underlying stream throws an IOException during reading

### addConfiguredContains

    public void addConfiguredContains(LineContains.Contains contains)

  Adds a `contains` element.

  Parameters:
    `contains` - The `contains` element to add. Must not be `null`.

### setNegate

    public void setNegate(boolean b)

  Set the negation mode. Default false (no negation).

  Parameters:
    `b` - the boolean negation mode to set.

### isNegated

    public boolean isNegated()

  Find out whether we have been negated.

  Returns:
    boolean negation flag.

### chain

    public java.io.Reader chain(java.io.Reader rdr)

  Creates a new LineContains using the passed in Reader for instantiation.

  Specified by:
    `chain` in interface `ChainableReader`
  Parameters:
    `rdr` - A Reader object providing the underlying stream. Must not be `null`.
  Returns:
    a new filter based on this configuration, but filtering the specified reader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD